## org.codehaus.groovy.grails.plugins
Class PluginInfo

    java.lang.Object
      org.codehaus.groovy.grails.plugins.PluginInfo

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class PluginInfo

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`PluginInfo(Resource pluginDir, PluginBuildSettings pluginBuildSettings)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`Resource` `getDescriptor()`
`String` `getFullName()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getMetadata()`
`String` `getName()`
`PluginBuildSettings` `getPluginBuildSettings()`
`Resource` `getPluginDir()`
`Resource` `getPluginDirectory()`
`Object` `getProperty(String property)`
`String` `getVersion()`
`Object` `invokeMethod(String method, Object arguments)`
`groovy.util.slurpersupport.GPathResult` `parseMetadata(Resource pluginDir)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setMetadata(Object value)`
`void` `setName(String value)`
`void` `setPluginBuildSettings(PluginBuildSettings value)`
`void` `setPluginDir(Resource value)`
`void` `setProperty(String property, Object value)`
`void` `setVersion(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginInfo

    public PluginInfo(Resource pluginDir,
                      PluginBuildSettings pluginBuildSettings)

Method Detail

### getPluginDir

    public Resource getPluginDir()

### setPluginDir

    public void setPluginDir(Resource value)

### getPluginBuildSettings

    public PluginBuildSettings getPluginBuildSettings()

### setPluginBuildSettings

    public void setPluginBuildSettings(PluginBuildSettings value)

### getMetadata

    public Object getMetadata()

### setMetadata

    public void setMetadata(Object value)

### setName

    public void setName(String value)

### setVersion

    public void setVersion(String value)

### parseMetadata

    public groovy.util.slurpersupport.GPathResult parseMetadata(Resource pluginDir)

### getVersion

    public String getVersion()

### getName

    public String getName()

### getPluginDirectory

    public Resource getPluginDirectory()

### getDescriptor

    public Resource getDescriptor()

### getFullName

    public String getFullName()

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project